- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxProperty::FbxPropertyNameCache Class Reference

Search for all occurrences

## Detailed Description

This is an internal class that you can use to build and clear the name map of properties. You can use the name map to speed up searching for property names.

Definition at line 526 of file fbxproperty.h.

`#include <fbxproperty.h>`

List of all members.

## Public Member Functions
| FbxPropertyNameCache (const FbxProperty &prop)
| Constructor, the name map is created in the constructor.
| ~FbxPropertyNameCache ()
| Destructor, the name map is destroyed in destructor.

## Constructor & Destructor Documentation

FbxPropertyNameCache | ( | const FbxProperty & | prop | ) | `[inline]`

Constructor, the name map is created in the constructor.

Parameters:

  prop | Property for building and clearing the name map.

Definition at line 532 of file fbxproperty.h.

    : mProp(const_cast<FbxProperty&>(prop)){ mProp.BeginCreateOrFindProperty(); }

~FbxPropertyNameCache | ( |  | ) | `[inline]`

Destructor, the name map is destroyed in destructor.

Definition at line 535 of file fbxproperty.h.

    { mProp.EndCreateOrFindProperty(); }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxproperty.h

FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache
FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache FbxProperty::FbxPropertyNameCache